Main Page Widgets Namespaces Book

# Glib::MainLoop Class Reference
[The Main Event Loop]

List of all members.

## Public Types
typedef Glib::MainLoop | CppObjectType
typedef GMainLoop | BaseObjectType
## Public Member Functions
void | run ()
void | quit ()
bool | is_running ()
Glib::RefPtr<MainContext> | get_context ()
void | reference () const
void | unreference () const
GMainLoop* | gobj ()
const GMainLoop* | gobj () const
GMainLoop* | gobj_copy () const
## Static Public Member Functions
Glib::RefPtr<MainLoop> | create (bool is_running=false)
Glib::RefPtr<MainLoop> | create (const Glib::RefPtr<MainContext>& context, bool is_running=false)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<MainLoop> | wrap (GMainLoop* gobject, bool take_copy=false)

## Member Typedef Documentation

typedef GMainLoop Glib::MainLoop::BaseObjectType

typedef Glib::MainLoop Glib::MainLoop::CppObjectType

## Member Function Documentation

Glib::RefPtr<MainLoop> Glib::MainLoop::create | ( | const Glib::RefPtr<MainContext>& | context,
|  | bool | is_running = false
| ) | `[static]`

Glib::RefPtr<MainLoop> Glib::MainLoop::create | ( | bool | is_running = false | ) | `[static]`

Glib::RefPtr<MainContext> Glib::MainLoop::get_context | ( |  | ) |

const GMainLoop* Glib::MainLoop::gobj | ( |  | ) | const

GMainLoop* Glib::MainLoop::gobj | ( |  | ) |

GMainLoop* Glib::MainLoop::gobj_copy | ( |  | ) | const

bool Glib::MainLoop::is_running | ( |  | ) |

void Glib::MainLoop::quit | ( |  | ) |

void Glib::MainLoop::reference | ( |  | ) | const

void Glib::MainLoop::run | ( |  | ) |

void Glib::MainLoop::unreference | ( |  | ) | const

The documentation for this class was generated from the following file:

- glib/glibmm/main.h